// IAndServerServiceListener.aidl
package com.tencent.karaoketv.module.lanserver;

// Declare any non-default types here with import statements

interface IServiceListener {
    /**
     * When the server is started.
     */
    void onStarted(String ip, int port);

    /**
     * When the server stops running.
     */
    void onStopped();

    /**
     * An error occurred while starting the server.
     */
    void onError(String msg);

    void onHandlerStarted(int handlerId, String url);

    void onBroadcastReceived(in Intent intent);
}